<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "parent rule pro_01: ZOOM[0.0-0.4x)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.4"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule pro_02: ZOOM[0.4-1.12x)">
        <condition name = "ZOOM_RATIO" min = "0.4" max = "1.12"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>

        <rule name = "child rule pro_03: ZOOM[0.64-1.12x) zoom_in">
            <condition name = "ZOOM_RATIO" min = "0.64" max = "1.12"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule pro_04: ZOOM[0.54-1.12x) zoom_out">
            <condition name = "ZOOM_RATIO" min = "0.54" max = "1.12"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule pro_05: ZOOM[1.12-2.80x)">
        <condition name = "ZOOM_RATIO" min = "1.12" max = "2.80"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>

        <rule name = "child rule pro_06: ZOOM[1.35-2.80x) zoom_in">
            <condition name = "ZOOM_RATIO" min = "1.35" max = "2.80"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule pro_07: ZOOM[1.12-1.35x) w+uw zoom_out">
            <condition name = "ZOOM_RATIO" min = "1.12" max = "1.35"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "ultra_wide"/>
            </outState>
        </rule>

        <rule name = "child rule pro_08: ZOOM[1.35-2.80x) w+t zoom_out">
            <condition name = "ZOOM_RATIO" min = "1.35" max = "2.80"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule pro_09: ZOOM[2.80-11.30x)">
        <condition name = "ZOOM_RATIO" min = "2.80" max = "11.30"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
        <rule name = "child rule pro_10: ZOOM[2.80-3.90x) t+w zoom_out">
            <condition name = "ZOOM_RATIO" min = "2.80" max = "3.90"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>
</MultiCameraConfigTable>